### Method

# GExiv2 Metadata try_generate_xmp_packet

deprecated: 0.16.0 since: 0.12.2

#### Declaration [src]

    gchar*
    gexiv2_metadata_try_generate_xmp_packet (
      GExiv2Metadata* self,
      GExiv2XmpFormatFlags xmp_format_flags,
      guint32 padding,
      GError** error
    )

#### Description [src]

Encode the XMP packet as a `NULL`-terminated string.

Available since: 0.12.2

Deprecated since: 0.16.0

Use `gexiv2_metadata_try_generate_xmp_packet()` instead.

#### Parameters

`xmp_format_flags`

  Type: `GExiv2XmpFormatFlags`

  One of `GExiv2XmpFormatFlags`.

`padding`

  Type: `guint32`

  The padding before the closing `<?xpacket>` tag.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

Encode the XMP packet and return as a `NULL`-terminated string.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.